using Microsoft.EntityFrameworkCore;
using System.ComponentModel.DataAnnotations.Schema;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel;

/// <summary>
/// 사용자단 회원 수신, 알림 각종 동의 여부 모음
/// </summary>
namespace bitforum.Models.Account
{
    [Table("MemberApprove")]
    [Comment("회원 동의 및 수신 여부")]
    public class MemberApprove
    {
        [ForeignKey("MemberID")]
        public virtual Member? Member { get; set; }

        [Key]
        [DisplayName("회원 ID")]
        [Comment("회원 ID")]
        public int MemberID { get; set; }

        [DisplayName("SMS 수신 여부")]
        [Comment("SMS 수신 여부")]
        public bool IsReceiveSMS { get; set; } = false;

        [DisplayName("E-MAIL 수신 여부")]
        [Comment("E-MAIL 수신 여부")]
        public bool IsReceiveEmail { get; set; } = false;

        [DisplayName("쪽지 수신 여부")]
        [Comment("쪽지 수신 여부")]
        public bool IsReceiveNote { get; set; } = false;

        [DisplayName("투자 현황 공개 여부")]
        [Comment("투자 현황 공개 여부")]
        public bool IsDisclosureInvest { get; set; } = false;
    }
}
